$(document).ready(function(){
	$('#formSenha').submit(function(){
		if($('#senha1').val().length < 5){
			toastr.clear(); toastr.error("Senha muito pequena!"); return;
			return false;
		}
		if($('#senha1').val() != $('#senha2').val()){
			toastr.clear(); toastr.error("As senhas não coincidem!"); return;
			return false;
		}
		if($('#senha1').val() != $('#senha2').val()){
			toastr.clear(); toastr.error("As senhas não coincidem!"); return;
			return false;
		}
		var dados = jQuery( this ).serialize();
		jQuery.ajax({
			type: "POST",
			url: "action/salvar_senha",
			data: dados,
			success: function(data){
				$('.preloader').css({display:"none"});
				if(data == '-1') {window.location.href = "./"; return;}
				if(data.substring(0,2) == "-2") {toastr.clear(); toastr.error(data.substring(2)); return;}
				toastr.clear(); toastr.success("Senha salva com sucesso");
			},
			beforeSend: function(){
				$('.preloader').css({display:"block"});
			},
			complete: function(){
				$('.preloader').css({display:"none"});
			},
			error: function(){
				$('.preloader').css({display:"none"});
				toastr.clear(); toastr.error("Houve um erro ao salvar."); return;
			}
		});
		return false;
	});
});